When I launch emacs with --debug-init it results in:

Debugger entered--Lisp error: (wrong-type-argument stringp 1)
  string-match("\n" 1 0)
  split-string(1 "\n")
  semantic-cpp-defs(1)
  semantic-gcc-setup()


This is using CEDET from bzr.

The OS is ubuntu 13.10. GCC version is 4.8.1.

Emacs package details:

Package: emacs                           
State: installed
Automatically installed: no
Version: 45.0
Priority: optional
Section: editors
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: all
Uncompressed Size: 25.6 k
Depends: emacs23 | emacs23-lucid | emacs23-nox
Description: GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor. This is a
 metapackage that will always depend on the latest recommended Emacs
 release.


I'm using a tweaked version of Alex Otts config.

;;; emacs-rc-cedet.el ---
(require 'eieio) 
(load-file "~/projects/cedet-bzr/common/cedet.el")
(semantic-load-enable-excessive-code-helpers)
;;(load-file "~/projects/cedet-bzr/cedet-devel-load.el")
(load-file "~/projects/cedet-bzr/contrib/cedet-contrib-load.el")
;;(add-to-list 'load-path "~/projects/cedet-bzr/contrib/")
;;(add-to-list  'Info-directory-list "~/projects/cedet-bzr/doc/info")

(add-to-list 'semantic-default-submodes 'global-semanticdb-minor-mode)
(add-to-list 'semantic-default-submodes 'global-semantic-mru-bookmark-mode)
(add-to-list 'semantic-default-submodes 'global-semanticdb-minor-mode)
(add-to-list 'semantic-default-submodes 'global-semantic-idle-scheduler-mode)
;(add-to-list 'semantic-default-submodes 'global-semantic-stickyfunc-mode)
(add-to-list 'semantic-default-submodes 'global-cedet-m3-minor-mode)
(add-to-list 'semantic-default-submodes 'global-semantic-highlight-func-mode)
;;(add-to-list 'semantic-default-submodes 'global-semantic-show-unmatched-syntax-mode)
;;(add-to-list 'semantic-default-submodes 'global-semantic-highlight-edits-mode)
;;(add-to-list 'semantic-default-submodes 'global-semantic-show-parser-state-mode)

;; Activate semantic
;;(semantic-mode 1)

(require 'semantic/bovine/c)
(require 'semantic/bovine/clang)

It won't work without the added (require 'eieio)


This loads first; trying the same file after starting with emacs -q results in the same error.


Any help would be greatly appreciated:)

Thanks,

-Derek